#include <QApplication>
#include <QErrorMessage>

#include "fb2app.hpp"
#include "fb2main.hpp"

#ifndef PACKAGE_NAME
    #define PACKAGE_NAME "fb2edit"
    #define PACKAGE_VENDOR "LinTest"
    #define PACKAGE_VERSION "0.XX.XX"
#endif  // PACKAGE_VERSION

void Fb2Application::handleMessage(QtMsgType type, const char *msg)
{
    /*
    switch (type) {
    case QtDebugMsg:
        fprintf(stderr, "Debug: %s\n", msg);
        break;
    case QtWarningMsg:
        fprintf(stderr, "Warning: %s\n", msg);
        break;
    case QtCriticalMsg:
        fprintf(stderr, "Critical: %s\n", msg);
        break;
    case QtFatalMsg:
        fprintf(stderr, "Fatal: %s\n", msg);
        abort();
    }
    */
    emit logMessage( QString::fromUtf8(msg));
}

static void fb2MessageHandler(QtMsgType type, const char *msg)
{
    ((Fb2Application*)qApp)->handleMessage(type, msg);
}

int main(int argc, char *argv[])
{
    Q_INIT_RESOURCE(fb2edit);

    Fb2Application app(argc, argv);
    app.setApplicationName(QString(PACKAGE_NAME));
    app.setOrganizationName(QString(PACKAGE_VENDOR));
    app.setApplicationVersion(QString(PACKAGE_VERSION));

    QTranslator translator;
    translator.load(QLocale::system().name(), ":ts");
    app.installTranslator(&translator);

    int count = app.arguments().count();
    for (int i = 1; i < count; i++) {
        QString arg = app.arguments().at(i);
        (new Fb2MainWindow(arg))->show();
    }
    if (count == 1) (new Fb2MainWindow)->show();

    qInstallMsgHandler(fb2MessageHandler);

    return app.exec();
}
